Loading...
Searching...
No Matches
xiconf_file_t Struct Reference
Collaboration diagram for xiconf_file_t:
[legend]

## Data Fields

int | fd
| file descriptor
char * | cpath
| path to the configuration file
time_t | mtime
| modification time of the file
rbt_str_node_t * | nodes
| node pointers in the service tree that belong to this file;
size_t | count
| number of node pointers
char * | inmem
| contents of the file mmaped or copied into memory
size_t | inlen
| in-memory size
size_t | inoff
| in-memory offset
int | flags
| flags; see bellow
unsigned int | depth
| include depth

The documentation for this struct was generated from the following file:

- xinetd_probe.c